### Enumeration

# GIRepository FieldInfoFlags

since: 2.80

#### Declaration

    flags GIRepository.FieldInfoFlags

#### Description

Flags for a `GIFieldInfo`.

Available since: 2.80

#### Members

`GI_FIELD_IS_READABLE`

  Field is readable.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.80
`GI_FIELD_IS_WRITABLE`

  Field is writable.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.80